Package com.avaya.clientservices.provider.sip

## Enum MobilityMode

- java.lang.Object
- - java.lang.Enum<MobilityMode>
  - - com.avaya.clientservices.provider.sip.MobilityMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MobilityMode>`

      public enum MobilityMode
      extends java.lang.Enum<MobilityMode>

  The mobility mode for a user.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIXED` | The user is at a fixed location.
    `MOBILE` | The user is on a mobile device.
    `UNSPECIFIED` | No mobility information is available.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MobilityMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MobilityMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final MobilityMode UNSPECIFIED

      No mobility information is available.

    - #### FIXED

          public static final MobilityMode FIXED

      The user is at a fixed location.

    - #### MOBILE

          public static final MobilityMode MOBILE

      The user is on a mobile device.

  - ### Method Detail

    - #### values

          public static MobilityMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MobilityMode c : MobilityMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MobilityMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null